Dotclear

Vous n'êtes pas identifié(e).

Annonce

#1 2016-12-28 16:24:05

Cheny_89
Membre
Lieu : Montrouge (92)
Inscription : 2006-04-26
Site Web

2.11.1 message d'erreur

Bonjour,

Je viens de faire la mise à jour vers la 2.11.1 et mon blog affiche :
_____________________________________________________________________
Dotclear
Unknown column 'post_firstpub' in 'field list' (1054)
Something went wrong while loading template file for your blog.
_____________________________________________________________________

Où est-ce que j'ai pu faire une bêtise...?

Hors ligne

#2 2016-12-28 16:26:58

Cheny_89
Membre
Lieu : Montrouge (92)
Inscription : 2006-04-26
Site Web

Re : 2.11.1 message d'erreur

J'ai écrit trop vite !

Dans le menu je suis allé voir les maintenances à faire et mon problème a été résolu après Vider le répertoire de cache des « templates ».

Désolé...

Hors ligne

#3 2016-12-28 16:30:50

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Bonjour à tous,

J'ai aussi fais la mise à jour (2.11.1) à l'instant ! J'ai aussi une erreur, mais pas la même que Cheny_89

Voila l'erreur que j'ai sur la partie publique et quelques pages de l'admin de mon blog :

Parse error: syntax error, unexpected '[' in /home/fabricer/www/blog2/inc/core/class.dc.postmedia.php on line 59

J'ai aussi vidé le cache du navigateur, de dotclear. Mais rien

Édit :
Je viens de repasser sous la version 2.10.4 en attendant.

Merci.

Dernière modification par fabrius (2016-12-28 17:12:19)

Hors ligne

#4 2016-12-28 17:06:35

AlainV
Membre
Lieu : Tourrettes
Inscription : 2008-04-11
Site Web

Re : 2.11.1 message d'erreur

Bonjour
J'ai aussi fais la mise à jour (2.11.1) à l'instant ! J'ai aussi une autre erreur:

Fatal error: Call to undefined method dcPage::jsToolMan() in /var/www/sdb/b/6/mic.toes/blog/themes/ductile/_prepend.php on line 24

je suis chez Free.fr la mise à jour 2.11.1 s'est bien faite en 2 clicks mais c'est quand j'ai voulu m’identifier pour entrer dans l'admin, que l'erreur ci-dessus est survenue et je n'ai plus accès à la partie admin par contre la partie publique fonctionne.

Merci pour votre aide
Cordialement.

AlainV


Débutant mais déjà fan de Dotclear 2
Blog pour ma fille née à Shanghai http://zoeliehua.free.fr/blog/
Ma zone de Test sur DC http://www.zoeliehua.fr/dctest/ que je commence à alimenter
et celle sur Free.fr  http://mic.toes.free.fr/

Hors ligne

#5 2016-12-28 18:01:26

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

Supprimez le cookie associé à votre installation (son nom se trouve dans inc/config.php, constante : DC_SESSION_NAME, en général c'est dcxd), avant de vous reconnecter.


Dotclear addicted since 2004

Hors ligne

#6 2016-12-28 18:04:02

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

AlainV a écrit :

Bonjour
J'ai aussi fais la mise à jour (2.11.1) à l'instant ! J'ai aussi une autre erreur:

Fatal error: Call to undefined method dcPage::jsToolMan() in /var/www/sdb/b/6/mic.toes/blog/themes/ductile/_prepend.php on line 24

je suis chez Free.fr la mise à jour 2.11.1 s'est bien faite en 2 clicks mais c'est quand j'ai voulu m’identifier pour entrer dans l'admin, que l'erreur ci-dessus est survenue et je n'ai plus accès à la partie admin par contre la partie publique fonctionne.

Merci pour votre aide
Cordialement.

AlainV

Ductile, livré avec la 2.11(.1), n'utilise plus jsToolMan, c'est donc une copie encore présente qui est active.


Dotclear addicted since 2004

Hors ligne

#7 2016-12-28 18:30:27

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Franck a écrit :

Supprimez le cookie associé à votre installation (son nom se trouve dans inc/config.php, constante : DC_SESSION_NAME, en général c'est dcxd), avant de vous reconnecter.

Merci Franck

Je viens de re-mettre à jour Dotclear. J'ai regarder pour supprimer le cookie dcxd avant de me reconnecter, mais il était inexistant. Après m'être connecté, il y avait un cookie dcxd que j'ai supprimé puis j'ai rechargé la page publique du blog, et j'ai toujours l'erreur.

Dernière modification par fabrius (2016-12-28 18:31:38)

Hors ligne

#8 2016-12-28 18:50:20

AlainV
Membre
Lieu : Tourrettes
Inscription : 2008-04-11
Site Web

Re : 2.11.1 message d'erreur

Merci Franck
j'ai supprimé en FTP le thème qui posait problème et mon admin est réapparu.
Merci beaucoup et bravo pour le travail sur la 2.11


Débutant mais déjà fan de Dotclear 2
Blog pour ma fille née à Shanghai http://zoeliehua.free.fr/blog/
Ma zone de Test sur DC http://www.zoeliehua.fr/dctest/ que je commence à alimenter
et celle sur Free.fr  http://mic.toes.free.fr/

Hors ligne

#9 2016-12-28 21:36:41

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

fabrius a écrit :
Franck a écrit :

Supprimez le cookie associé à votre installation (son nom se trouve dans inc/config.php, constante : DC_SESSION_NAME, en général c'est dcxd), avant de vous reconnecter.

Merci Franck

Je viens de re-mettre à jour Dotclear. J'ai regarder pour supprimer le cookie dcxd avant de me reconnecter, mais il était inexistant. Après m'être connecté, il y avait un cookie dcxd que j'ai supprimé puis j'ai rechargé la page publique du blog, et j'ai toujours l'erreur.

Le blog a l'air d'être fonctionnel, c'est la 2.11.1 qui tourne ?


Dotclear addicted since 2004

Hors ligne

#10 2016-12-28 21:37:55

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Non, c'est la 2.10.4
Je fais la mise a jour vers la 2.11.1

Voila, mise a jour vers la 2.11.1 faites

Dernière modification par fabrius (2016-12-28 21:40:09)

Hors ligne

#11 2016-12-28 21:43:04

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

fabrius a écrit :

Non, c'est la 2.10.4
Je fais la mise a jour vers la 2.11.1

Voila, mise a jour vers la 2.11.1 faites

Ah effectivement, y'a un bug là. Faut que je regarde ça de plus près.


Dotclear addicted since 2004

Hors ligne

#12 2016-12-28 21:44:42

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Franck a écrit :
fabrius a écrit :

Non, c'est la 2.10.4
Je fais la mise a jour vers la 2.11.1

Voila, mise a jour vers la 2.11.1 faites

Ah effectivement, y'a un bug là. Faut que je regarde ça de plus près.

Si besoin de quelque-chose, dis le moi ! :-)
Merci Franck !

Hors ligne

#13 2016-12-28 21:45:35

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

Quelle version de PHP ?


Dotclear addicted since 2004

Hors ligne

#14 2016-12-28 21:49:20

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Normalement, PHP7 via un fichier .htaccess et ceci dedans : SetEnv PHP_VER 7

Hors ligne

#15 2016-12-28 21:53:42

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

Bizarre parce la ligne en question ne devrait normalement pas poser de problème :

		$where=[];

Dotclear addicted since 2004

Hors ligne

#16 2016-12-28 21:58:41

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Effectivement, j'ai la même chose dans mon fichier aussi.

 		$where=[];

Hors ligne

#17 2016-12-28 21:59:14

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

Ça serait bien de vérifier la version de PHP installée, par exemple en installant le plugin sysInfo (http://plugins.dotaddict.org/dc2/details/sysInfo) et en allant vérifier avec


Dotclear addicted since 2004

Hors ligne

#18 2016-12-28 22:03:55

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Voila, je viens d'installer sysInfo et surprise, j'ai ceci «PHP Version    5.3.29» au lieu de php7 comme je le pensais.

Hors ligne

#19 2016-12-28 22:08:19

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

Donc une version qui devrait fonctionner, a minima avec la 2.11.1


Dotclear addicted since 2004

Hors ligne

#20 2016-12-28 22:10:37

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Je viens de changer, via le manager d'ovh, la version globale de php à la version 7 et maintenant, j'ai ceci :


Dotclear
Connexion à la base de données impossible

Cela signifie soit que les informations d'identifiant ou de mot de passe de votre fichier config.php sont incorrects, soit que nous ne pouvons pas contacter le serveur de base de données à l'adresse "fabricerdrupal.mysql.db.ha.ovh.net". Cela peut vouloir dire que le serveur en question est éteint.

    Êtes-vous sûr que l'identifiant et le mot de passe sont corrects ?
    Êtes-vous sûr d'avoir entré le bon nom de serveur ?
    Êtes-vous sûr que le serveur fonctionne ?

Si vous n'êtes pas sûr de la signification de ces termes, vous devriez probablement contacter votre hébergeur. Si vous avez besoin d'une aide supplémentaire, vous pouvez vous rendre sur le forum d'entraide Dotclear.

Hors ligne

#21 2016-12-28 22:19:06

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

Faudrait aller vérifier dans le fichier inc/config.php la valeur du driver de base de données.

Si c'est mysql, alors il faut remplacer par mysqli (pour résumer il faut juste ajouter un i à la fin).


Dotclear addicted since 2004

Hors ligne

#22 2016-12-28 22:22:19

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Franck a écrit :

Faudrait aller vérifier dans le fichier inc/config.php la valeur du driver de base de données.

Si c'est mysql, alors il faut remplacer par mysqli (pour résumer il faut juste ajouter un i à la fin).

Oufti(1), merci, c'est juste ça ! Un grand merci Franck

(1) : Expression Belge de Liège plus particulièrement qui marque l'étonnement ! ;-)

Hors ligne

#23 2016-12-28 22:24:51

Franck
Footer de merde
Lieu : Paris
Inscription : 2004-11-09
Site Web

Re : 2.11.1 message d'erreur

Zizir™ :-)


Dotclear addicted since 2004

Hors ligne

#24 2016-12-28 22:51:23

fabrius
Membre
Lieu : Spa - Belgique
Inscription : 2013-03-16
Site Web

Re : 2.11.1 message d'erreur

Merci Franck ! :-)
Je me suis permis de faire un petit billet pour la cause : https://blog.fabrice-raymond.be/index.p … ear-2.11.1

Hors ligne

#25 2016-12-29 01:20:44

Otir
Membre
Lieu : Etats-Unis d'Amérique
Inscription : 2006-11-10
Site Web

Re : 2.11.1 message d'erreur

Je viens d'effectuer la mise à jour proposée, et je n'ai pas eu de message d'erreur, mais je n'ai plus l'accès au contenu s'il est dans le format xtml et tous mes "drafts" étaient dans ce format.

Je ne sais pas comment faire.

Merci de m'aider.

Hors ligne

Vous n'êtes pas identifié(e).

Pied de page des forums

Sites map